org.apache.calcite.avatica.proto

## Class Common.CursorFactory.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>
      - - org.apache.calcite.avatica.proto.Common.CursorFactory.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.CursorFactoryOrBuilder

Enclosing class:
  Common.CursorFactory

    public static final class Common.CursorFactory.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>
    implements Common.CursorFactoryOrBuilder

     Information necessary to convert an Iterable into a Calcite Cursor

Protobuf type `CursorFactory`

### Field Summary

Fields
`private int` `bitField0_`
`private Object` `className_`
`private com.google.protobuf.LazyStringList` `fieldNames_`
`private int` `style_`

### Constructor Summary

Constructors
`private` `Common.CursorFactory.Builder()`
`private` `Common.CursorFactory.Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

Methods
`Common.CursorFactory.Builder` `addAllFieldNames(Iterable<String> values)` `repeated string field_names = 3;`
`Common.CursorFactory.Builder` `addFieldNames(String value)` `repeated string field_names = 3;`
`Common.CursorFactory.Builder` `addFieldNamesBytes(com.google.protobuf.ByteString value)` `repeated string field_names = 3;`
`Common.CursorFactory.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.CursorFactory` `build()`
`Common.CursorFactory` `buildPartial()`
`Common.CursorFactory.Builder` `clear()`
`Common.CursorFactory.Builder` `clearClassName()` `optional string class_name = 2;`
`Common.CursorFactory.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.CursorFactory.Builder` `clearFieldNames()` `repeated string field_names = 3;`
`Common.CursorFactory.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.CursorFactory.Builder` `clearStyle()` `optional .CursorFactory.Style style = 1;`
`Common.CursorFactory.Builder` `clone()`
`private void` `ensureFieldNamesIsMutable()`
`String` `getClassName()` `optional string class_name = 2;`
`com.google.protobuf.ByteString` `getClassNameBytes()` `optional string class_name = 2;`
`Common.CursorFactory` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getFieldNames(int index)` `repeated string field_names = 3;`
`com.google.protobuf.ByteString` `getFieldNamesBytes(int index)` `repeated string field_names = 3;`
`int` `getFieldNamesCount()` `repeated string field_names = 3;`
`com.google.protobuf.ProtocolStringList` `getFieldNamesList()` `repeated string field_names = 3;`
`Common.CursorFactory.Style` `getStyle()` `optional .CursorFactory.Style style = 1;`
`int` `getStyleValue()` `optional .CursorFactory.Style style = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.CursorFactory.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.CursorFactory.Builder` `mergeFrom(Common.CursorFactory other)`
`Common.CursorFactory.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.CursorFactory.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.CursorFactory.Builder` `setClassName(String value)` `optional string class_name = 2;`
`Common.CursorFactory.Builder` `setClassNameBytes(com.google.protobuf.ByteString value)` `optional string class_name = 2;`
`Common.CursorFactory.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.CursorFactory.Builder` `setFieldNames(int index, String value)` `repeated string field_names = 3;`
`Common.CursorFactory.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.CursorFactory.Builder` `setStyle(Common.CursorFactory.Style value)` `optional .CursorFactory.Style style = 1;`
`Common.CursorFactory.Builder` `setStyleValue(int value)` `optional .CursorFactory.Style style = 1;`
`Common.CursorFactory.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### style_

    private int style_

#### className_

    private Object className_

#### fieldNames_

    private com.google.protobuf.LazyStringList fieldNames_

### Constructor Detail

#### Common.CursorFactory.Builder

    private Common.CursorFactory.Builder()

#### Common.CursorFactory.Builder

    private Common.CursorFactory.Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.CursorFactory.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### getDefaultInstanceForType

    public Common.CursorFactory getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.CursorFactory build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.CursorFactory buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.CursorFactory.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### setField

    public Common.CursorFactory.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                        Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### clearField

    public Common.CursorFactory.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### clearOneof

    public Common.CursorFactory.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### setRepeatedField

    public Common.CursorFactory.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                int index,
                                                Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### addRepeatedField

    public Common.CursorFactory.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### mergeFrom

    public Common.CursorFactory.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.CursorFactory.Builder>`

#### mergeFrom

    public Common.CursorFactory.Builder mergeFrom(Common.CursorFactory other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### mergeFrom

    public Common.CursorFactory.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.CursorFactory.Builder>`
Throws:
  `IOException`

#### getStyleValue

    public int getStyleValue()

`optional .CursorFactory.Style style = 1;`

Specified by:
  `getStyleValue` in interface `Common.CursorFactoryOrBuilder`

#### setStyleValue

    public Common.CursorFactory.Builder setStyleValue(int value)

`optional .CursorFactory.Style style = 1;`

#### getStyle

    public Common.CursorFactory.Style getStyle()

`optional .CursorFactory.Style style = 1;`

Specified by:
  `getStyle` in interface `Common.CursorFactoryOrBuilder`

#### setStyle

    public Common.CursorFactory.Builder setStyle(Common.CursorFactory.Style value)

`optional .CursorFactory.Style style = 1;`

#### clearStyle

    public Common.CursorFactory.Builder clearStyle()

`optional .CursorFactory.Style style = 1;`

#### getClassName

    public String getClassName()

`optional string class_name = 2;`

Specified by:
  `getClassName` in interface `Common.CursorFactoryOrBuilder`

#### getClassNameBytes

    public com.google.protobuf.ByteString getClassNameBytes()

`optional string class_name = 2;`

Specified by:
  `getClassNameBytes` in interface `Common.CursorFactoryOrBuilder`

#### setClassName

    public Common.CursorFactory.Builder setClassName(String value)

`optional string class_name = 2;`

#### clearClassName

    public Common.CursorFactory.Builder clearClassName()

`optional string class_name = 2;`

#### setClassNameBytes

    public Common.CursorFactory.Builder setClassNameBytes(com.google.protobuf.ByteString value)

`optional string class_name = 2;`

#### ensureFieldNamesIsMutable

    private void ensureFieldNamesIsMutable()

#### getFieldNamesList

    public com.google.protobuf.ProtocolStringList getFieldNamesList()

`repeated string field_names = 3;`

Specified by:
  `getFieldNamesList` in interface `Common.CursorFactoryOrBuilder`

#### getFieldNamesCount

    public int getFieldNamesCount()

`repeated string field_names = 3;`

Specified by:
  `getFieldNamesCount` in interface `Common.CursorFactoryOrBuilder`

#### getFieldNames

    public String getFieldNames(int index)

`repeated string field_names = 3;`

Specified by:
  `getFieldNames` in interface `Common.CursorFactoryOrBuilder`

#### getFieldNamesBytes

    public com.google.protobuf.ByteString getFieldNamesBytes(int index)

`repeated string field_names = 3;`

Specified by:
  `getFieldNamesBytes` in interface `Common.CursorFactoryOrBuilder`

#### setFieldNames

    public Common.CursorFactory.Builder setFieldNames(int index,
                                             String value)

`repeated string field_names = 3;`

#### addFieldNames

    public Common.CursorFactory.Builder addFieldNames(String value)

`repeated string field_names = 3;`

#### addAllFieldNames

    public Common.CursorFactory.Builder addAllFieldNames(Iterable<String> values)

`repeated string field_names = 3;`

#### clearFieldNames

    public Common.CursorFactory.Builder clearFieldNames()

`repeated string field_names = 3;`

#### addFieldNamesBytes

    public Common.CursorFactory.Builder addFieldNamesBytes(com.google.protobuf.ByteString value)

`repeated string field_names = 3;`

#### setUnknownFields

    public final Common.CursorFactory.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`

#### mergeUnknownFields

    public final Common.CursorFactory.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.CursorFactory.Builder>`